package com.imyeyu.fx.ui.examples.view.pages.component;

import com.imyeyu.fx.ui.TimiFXUI;
import com.imyeyu.fx.ui.components.FileTreeView;
import com.imyeyu.fx.ui.examples.component.AbstractDemoPane;
import com.imyeyu.fx.ui.examples.component.sidebar.SidebarItem;
import com.imyeyu.inject.annotation.Component;
import javafx.geometry.Insets;

/**
 * 多根节点树
 *
 * @author 夜雨
 * @since 2022-08-30 09:41
 */
@Component
public class XTreeViewDemo extends AbstractDemoPane {

	public XTreeViewDemo() {
		title.setText(SidebarItem.X_TREE_VIEW.getText());
		document.sync("https://doc.imyeyu.net/timi-fx/net/imyeyu/timifx/component/XTreeView.html");
		source.sync("https://git.imyeyu.net/Timi/timi-fx/src/master/src/main/java/net/imyeyu/timifx/component/XTreeView.java");
		tips.setText(TimiFXUI.MULTILINGUAL.text("fx.example.x_tree_view.tips"));

		FileTreeView fileTreeView = new FileTreeView();
		fileTreeView.setBorder(Stroke.DEFAULT);

		setMargin(fileTreeView, new Insets(20));
		setCenter(fileTreeView);
	}
}
